Returns all logged email events
curl --request GET \
--url https://console.sendlayer.com/api/v1/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.sendlayer.com/api/v1/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.sendlayer.com/api/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://console.sendlayer.com/api/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://console.sendlayer.com/api/v1/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://console.sendlayer.com/api/v1/events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://console.sendlayer.com/api/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"TotalRecords": 1,
"Events": [
{
"Event": "opened",
"LoggedAt": 1658326035,
"LogLevel": "info",
"Message": {
"Headers": {
"MessageId": "70e80563-4e08-4313-9b8b-ad56449bfbb6",
"From": [
"paulie@example.com"
],
"ReplyTo": [
{}
],
"To": [
"Pattie Paloma, pattie@exampledomain.com"
],
"Cc": [
{}
],
"Bcc": [
{}
],
"Subject": "<string>"
}
},
"Reason": "Email opened.",
"Ip": "10.30.126.18",
"Geolocation": {
"City": "<string>",
"Region": "<string>",
"Country": "<string>"
}
}
]
}Events
Retrieve Events
GET
/
events
Returns all logged email events
curl --request GET \
--url https://console.sendlayer.com/api/v1/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.sendlayer.com/api/v1/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.sendlayer.com/api/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://console.sendlayer.com/api/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://console.sendlayer.com/api/v1/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://console.sendlayer.com/api/v1/events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://console.sendlayer.com/api/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"TotalRecords": 1,
"Events": [
{
"Event": "opened",
"LoggedAt": 1658326035,
"LogLevel": "info",
"Message": {
"Headers": {
"MessageId": "70e80563-4e08-4313-9b8b-ad56449bfbb6",
"From": [
"paulie@example.com"
],
"ReplyTo": [
{}
],
"To": [
"Pattie Paloma, pattie@exampledomain.com"
],
"Cc": [
{}
],
"Bcc": [
{}
],
"Subject": "<string>"
}
},
"Reason": "Email opened.",
"Ip": "10.30.126.18",
"Geolocation": {
"City": "<string>",
"Region": "<string>",
"Country": "<string>"
}
}
]
}Authorizations
Query Parameters
Was this page helpful?